import _Input from "@alifd/next/es/input";
import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
var _excluded = ["onChange", "placeholder", "value"];
import * as React from 'react';
import './index.less';
var StringSetter = /*#__PURE__*/function (_React$PureComponent) {
  function StringSetter() {
    return _React$PureComponent.apply(this, arguments) || this;
  }
  _inheritsLoose(StringSetter, _React$PureComponent);
  var _proto = StringSetter.prototype;
  _proto.render = function render() {
    var _this$props = this.props,
      _onChange = _this$props.onChange,
      placeholder = _this$props.placeholder,
      value = _this$props.value,
      rest = _objectWithoutPropertiesLoose(_this$props, _excluded);
    return /*#__PURE__*/React.createElement(_Input, _extends({
      size: "small",
      value: value,
      placeholder: placeholder || '',
      onChange: function onChange(val) {
        return _onChange(val);
      },
      style: {
        width: '100%'
      }
    }, rest));
  };
  return StringSetter;
}(React.PureComponent);
StringSetter.displayName = 'StringSetter';
export { StringSetter as default };